Subject: Re: linking with libcygwin.a (unresolved _WinMain@16)
From: [email-masked] (Andreas Bischoff)

7 Jul 1997 01:49:32 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Roland Geier)
Original-Cc: [email-masked] (Andreas Bischoff), [email-masked]
In-Reply-To: <[email-masked]> from "Roland Geier" at Jul 7, 97 09:12:43 am
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Hi  Roland,

unfortunately this doesn't help. If I add a main function to the C
programs, I'm getting an Access Violation (segmentation fault) after the
linking of the program if I attempt to start it.  :-(

	Andreas

> 
> > Hi all,
> > 
> > I've got a huge project to move from Unix to NT, involving about 1000
> > Fortran files and 6 C files.
> > The C files contain all graphical X11 stuff and some system interfaces.
> > 
> > I bought DEC's Fortran Compiler for Windows NT, which seems to be really
> > fast.
> > My C programs I compiled with Cygnus' gcc and all the Fortran sources
> > with DEC's VF.
> > There are some minor issues with the external names, like Fortran calling
> > per default all uppercase, but these i can solve with special compiler
> > directives.
> > 
> > The major problem:
> > I tried to link everything with DEC's (Micro$oft's ?) linker , link.exe
> > 
> > It seems to take everything just fine BUT gives me:
> > libcygwin.a(libcmain.o) : error LNK2001: unresolved external symbol _WinMain@16
> > 
> > Anyone an idea how to solve this problem ?
> 
> I encountered the same problem building a dll consisting of a couple of object-files. According to a hint form Sergey Okhapkin I put a 
> 
> 	void main() {}
> 
> into one of my c++-sources. This fixed the problem...
> 
> hth,
> 
> --- Roland.
> 
> ---
> Roland Geier                    Phone: ++49 (8505) 92182          
> Universitaet Passau, GER 	Fax:   ++49 (8505) 922311
> Lehrstuhl Prof. Dr. Donner      [email-masked]	
> D-94032 Passau                  http://www.uni-passau.de/~geier/
> 
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".